# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::ClipboardDCOPInterface Class Reference

This is the main interface to the ClipboardInterface of KTextEdit. DCOP interface to ClipboardInterface. More...

`#include <clipboarddcopinterface.h>`

Inheritance diagram for KTextEditor::ClipboardDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::ClipboardDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions

void | copy ()
| copies selected text
void | cut ()
| cuts selected text
void | paste ()
| pastes selected text

## Public Member Functions

| ClipboardDCOPInterface (ClipboardInterface *Parent, const char *name)
| Construct a new interface object for the text editor.
virtual | ~ClipboardDCOPInterface ()
| Destructor Cleans up the object.

## Detailed Description

This is the main interface to the ClipboardInterface of KTextEdit. DCOP interface to ClipboardInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file clipboarddcopinterface.h.

## Constructor & Destructor Documentation

ClipboardDCOPInterface::ClipboardDCOPInterface | ( | ClipboardInterface * | Parent,
|  | const char * | name
| ) |

Construct a new interface object for the text editor.

Parameters:

  ParentClipboardInterface | - The parent ClipboardInterface object that will provide us with the functions for the interface.

Definition at line 7 of file clipboarddcopinterface.cpp.

References KStdAccel::name().

ClipboardDCOPInterface::~ClipboardDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file clipboarddcopinterface.cpp.

## Member Function Documentation

void ClipboardDCOPInterface::copy | ( |  | ) |

| copies selected text Definition at line 21 of file clipboarddcopinterface.cpp.

void ClipboardDCOPInterface::cut | ( |  | ) |

| cuts selected text Definition at line 29 of file clipboarddcopinterface.cpp.

void ClipboardDCOPInterface::paste | ( |  | ) |

| pastes selected text Definition at line 37 of file clipboarddcopinterface.cpp.

The documentation for this class was generated from the following files:

- clipboarddcopinterface.h
- clipboarddcopinterface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:54 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001